GuideLab API

Update an adjustment reason

Updates the label of an existing stock adjustment reason.

PUT
/inventory/adjustment-reasons/{id}

Updates the label of an existing stock adjustment reason.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Reason ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/inventory/adjustment-reasons/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{    "label": "string"  }'
{  "data": {    "id": "string",    "organizationId": "string",    "key": "string",    "label": "string",    "isSystem": true,    "isActive": true,    "sortOrder": 0,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty